#include <iostream>
#include <cstdlib>
#include <ctime>

int generateRandomNumber(int min,int max) {
    return (rand() % (max - min)) + min +1;
}

void fun(){

	int num1 =generateRandomNumber(2,6);
	int num2 =generateRandomNumber(2,6);
    int opt =generateRandomNumber(1,6);
    std::string strNum1 = std::to_string(num1);
    std::string strNum2 = std::to_string(num2);
    switch(opt){
        case 1:
            std::cout<<strNum1<<"个"<<strNum2<<"相加：（    ）[   ](    ) = (    )";
            break;
        case 2:
            std::cout<<strNum1<<"个"<<strNum2<<"相乘：（    ）[   ](    ) = (    )";
         break;
        case 3:
            std::cout<<strNum1<<"和"<<strNum2<<"相加：（    ）[   ](    ) = (    )";
         break;
        case 4:
            std::cout<<strNum1<<"和"<<strNum2<<"相乘：（    ）[   ](    ) = (    )";
            break;
        case 5:
            std::cout<<strNum1<<"乘"<<strNum2<<"的积：（    ）[   ](    ) = (    )";
            break;
        case 6:
            std::cout<<strNum1<<"加"<<strNum2<<"的和：（    ）[   ](    ) = (    )";
         break;
        default:
         break;
    }
}


int main() {
     srand(static_cast<unsigned int>(time(0))); 
    for(int i = 0 ;  i < 1000; i++){
        for(int j = 0 ; j < 2 ; j++){
            fun();
            std::cout<<"\t\t";
        }
        std::cout<<std::endl;
    }
    return 0;
}